# Created by pyp2rpm-3.3.1
%global pypi_name unicode

Name:           python-%{pypi_name}
Version:        2.8
Release:        %mkrel 3
Summary:        Display unicode character properties
Group:          Development/Python
License:        GPLv3
URL:            http://kassiopeia.juls.savba.sk/~garabik/software/unicode.html
Source0:        https://pypi.io/packages/source/u/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Enter regular expression, hexadecimal number or some characters as an
argument. unicode will try to guess what you want to look up, see the
manpage if you want to force other behaviour (the manpage is also the
best documentation). In particular, -r forces searching for regular
expression in the names of character, -s forces unicode to display
information about the characters given.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Enter regular expression, hexadecimal number or some characters as an
argument. unicode will try to guess what you want to look up, see the
manpage if you want to force other behaviour (the manpage is also the
best documentation). In particular, -r forces searching for regular
expression in the names of character, -s forces unicode to display
information about the characters given.

%package docs
Summary:        Man pages for python-unicode
BuildArch:      noarch
Requires:       python-unicode

%description docs
This package contains the man pages for python-unicode

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/unicode %{buildroot}%{_bindir}/unicode3
mv %{buildroot}%{_bindir}/paracode %{buildroot}%{_bindir}/paracode3

%__install -d %{buildroot}/%{_mandir}/man1
%__install *.1 %{buildroot}/%{_mandir}/man1/

%files -n python3-%{pypi_name}
%doc README-paracode
%{_bindir}/paracode3
%{_bindir}/unicode3
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files docs
%{_mandir}/man1/*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.8-3.mga9
+ Revision: 1823658
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 2.8-2.mga9
+ Revision: 1784014
- Rebuild for python-3.10

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 2.8-1.mga9
+ Revision: 1781305
- version 2.8
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.7-5.mga9
+ Revision: 1732348
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.7-4.mga8
+ Revision: 1531821
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 2.7-3.mga8
+ Revision: 1441150
- rebuild for python-3.8

* Sun Sep 15 2019 tv <tv> 2.7-2.mga8
+ Revision: 1441143
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 2.7-1.mga7
+ Revision: 1351210
- Update to version 2.7

* Fri Sep 21 2018 umeabot <umeabot> 2.6-2.mga7
+ Revision: 1290445
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 2.6-1.mga7
+ Revision: 1220744
- imported package python-unicode

